#!/bin/csh

xyz2pipe -in fid/test%03d.fid -verb \
  | nmrPipe  -fn SOL                                    \
  | nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 0.5    \
  | nmrPipe  -fn ZF -size 8192                           \
  | nmrPipe  -fn FT                                     \
  | nmrPipe  -fn EXT -x1 11ppm -xn 6ppm -sw             \
  | nmrPipe  -fn PS -p0 -67.8 -p1 0 -di               \
  | nmrPipe  -fn TP                                     \
  | nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5    \
  | nmrPipe  -fn ZF -size 2048                               \
  | nmrPipe  -fn FT -neg                                \
  | nmrPipe  -fn PS -p0 0 -p1 0 -di                     \
  | nmrPipe  -fn TP                                     \
  | nmrPipe  -fn POLY -auto  -ord 1                     \
| pipe2xyz -out ft/test%03d.ft2 -ov

set i = 1

set vList = (`cat vplist`)

foreach v ($vList)
   set tau       = (`echo $v | tr 'm' ' '`)
   set outName   = (`printf ft/test%03d.ft2 $i`)

   echo $outName $tau

   sethdr $outName -tau $tau

   @ i++
end

